
@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    list-style: none;
    scroll-behavior: smooth;
    font-family: 'poppins',sans-serif;
}
:root{
    --bg-color: #2a2a2a;
    --second-bg-color:#282828;
    --text-color:#ffffff;
    --secont-color:#ffffff;
    --main-color:#05b4ff;
    --big-font:5rem;
    --h2-font:3rem;
    --p-font:1.1rem;
}
body{
    background: var(--bg-color);
    color: var(--text-color);
}
header{
    position: fixed;
    width: 100%;
    top: 0;
    right: 0;
    z-index: 1000;
    display: flex;
    align-items: center;
    justify-content: center;
    background: transparent;
    padding: 22px 15px;
    border-bottom: 1px solid transparent;
    transition: all.45s ease;
}
.logo{
    color: var(--text-color);
    font-size: 35px;
    font-weight: 700;
    letter-spacing: 1px;
}
span{
    color: var(--main-color);
}
.navlist{
    display: flex;
}
.navlist a{
    color:var(--secont-color);
    font-size: 17px;
    font-weight: 500;
    margin: 0 25px;
    transition: all .45s ease;
}
.navlist a:hover{
    color: var(--main-color);
}
#menu-icon{
    font-size: 35px;
    color: var(--text-color);
    z-index: 1000;
    cursor: pointer;
    margin-left: 25px;
    display: none;
}
.home {
    position: relative;
    height: 100vh; 
    width: 100vw; 
    background-image: url('WhatsApp\ Image\ 2024-09-27\ at\ 13.58.07_af12f09c.jpg'); 
    background-size: cover; 
    background-position: center; 
    display: flex; 
    flex-direction: column; 
    align-items: flex-start; 
    justify-content: center; 
    padding-left: 50px;
    text-align: left; 
}
.home-text h1 {
    font-size: 6rem; 
    color: var(--main-color);
}

.home-text h3 {
    font-size: 3rem; 
    color: var(--text-color);
}

.home-text p {
    font-size: 1.5rem; 
    color: var(--text-color);
    line-height: 1.8; 
}

.home-text .slide span {
    font-size: 2.5rem; 
    color: var(--text-color);
}

.button .btn {
    font-size: 1.2rem; 
    padding: 10px 20px; 
    background-color: var(--main-color); 
    color: var(--text-color);
    border-radius: 3px;
}
.social-media a{
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 42px;
    height: 42px;
    background: transparent;
    border: 0.2rem solid var(--main-color);
    border-radius: 50%;
    font-size: 2rem;
    color: var(--main-color);
    margin: 3rem 1.5rem 3rem 0;
    transition: 0.3s ease;

}

.social-media a:hover{
transform: scale(1.2) translateY(-10px);
background-color: var(--main-color);
color: var(--bg-color);
box-shadow: 0 0 25px var(--main-color);
}

.slide{
    margin-bottom: 20px;
}
.one{
    display: inline-block;
    margin-right: 15px;
    padding: 0px 15px;
    line-height: 32px;
    font-size: 20px;
    font-weight: 500;
    border-radius: 5px;
    background: var(--main-color);
    color: var(--text-color);
}
.two{
    display: inline-block;
    color: var(--secont-color);
    font-size: 20px;
    font-weight: 500;
}
.home-text h1{
    font-size: var(--big-font);
    font-weight: 700;
    color: var(--text-color);
    line-height: 1.1;
    margin: 0 0 8px;
}
.home-text h3{
    color: var(--text-color);
    margin: 0 0 35px;
    font-size: 3rem;
    font-weight: 700;
    line-height: 1.1;
}
.about {
    display: grid;
    grid-template-columns: repeat(2, 1fr); 
    align-items: center;
    gap: 1.5rem;
    height: 100vh;
    padding: 20px; 
}

.about-img img {
    max-width: 530px;
    height: auto;
    width: 100%;
    border-radius: 5px;
}

.about-text h2 {
    font-size: var(--h2-font);
    line-height: 1;
}

.about-text h4 {
    font-size: 24px;
    font-weight: 600;
    color: var(--text-color);
    line-height: 1.7;
}

.about-text p {
    color: var(--second-color);
    font-size: var(--p-font);
    line-height: 1.8;
}
.btn{
    display: inline-block;
    font-size: 16px;
    background: var(--main-color);
    color: var(--text-color);
    width: 160px;
    transition: all .45s ease;
    padding: 5px;
    border-radius: 30px;
}
.main-skills{
    height: 100vh;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px;
    box-sizing: border-box;
  
}

.skills-container {
    max-width: 600px;
    width: 100%;
    padding: 20px;
    background-color: var(--second-bg-color);
    border-radius: 10px;
  }
  
  .skills {
    margin-top: 20px;
    display: flex;
    flex-direction: column;
    gap: 15px;
  }
  
  .skill {
    display: flex;
    flex-direction: column;
    justify-content: center;
  }
  
  .skill label {
    display: block;
    margin-bottom: 5px;
  }
  .skills-head{
    font-size: var(--h2-font);
    display: flex;
    justify-content: center;
  
  }
  
  .skill-bar {
    background-color: var(--main-color);
    height: 25px;
    border-radius: 5px;
    transition: width 0.5s ease;
  }
  .portfolio {
    padding: 40px 20px; 
    background: var(--second-bg-color);
}

.main-text {
    text-align: center; 
}

.latest-text {
    font-size: var(--h2-font);
}


.portfolio-content {
    display: flex;
    justify-content: center; 
    gap: 2rem; 
    align-items: center;
    height: 100vh;
    width: 100%;
}


.row {
    width: 40%;
    display: flex;
    flex-direction: column; 
    align-items: center; 
    text-align: center; 
    overflow: hidden; 
    border-radius: 8px; 
    transition: transform 0.3s; 
}


.row img {
    width: 100%; 
    height: auto; 
    border-radius: 8px;
     
}


.project-info {
    text-align: center;
    padding: 10px;
}

.project-info h5 {
    font-size: 1.5rem; 
    color: var(--main-color); 
}

.project-info p {
    font-size: 14px; 
    color: var(--text-color); 
}


.row:hover {
    transform: scale(1.05); 
}

.project-info h5 {
    font-size: 1.5rem;
    color: var(--main-color); 
}
.contact{
    background: var(--second-bg-color);
    display: grid;
    grid-template-columns: repeat(2,1fr);
    align-items: center;
    gap: 2.5rem;
    height: 100vh;
    display: flex;
    justify-content: center;
}
.contact-text h4{
    color: var(--text-color);
    margin: 18px 0;
    font-size: 20px;
    font-weight: 600;
}
.contact-text h2{
    font-size: var(--h2-font);
    line-height: 1;
}

.contact-form form input, form textarea{
    width: 100%;
    padding: 14px;
    background: var(--bg-color);
    color: var(--text-color);
    border: none;
    outline: none;
    font-size: 15px;
    border-radius: 8px;
    margin-bottom: 10px;
}
.contact-form textarea{
    resize: none;
    height: 240px;
}
.contact-form .submit{
    font-size: 16px;
    background: var(--main-color);
    color: var(--text-color);
    width: 160px;
    transition: all .45s ease;
}
.contact-form .submit:hover{
    transform: scale(1.1);
    cursor: pointer;
}
.contact-head{
    display: flex;
    justify-content: center;
}
.end{
    padding: 20px 15%;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-between;
    gap: 2rem;
    background: var(--bg-color);
}
.last-text p{
    color: var(--seond-color);
    font-size: 14px;
}
.top i{
    padding: 10px;
    border-radius: 8px;
    font-size: 15px;
    color: var(--text-color);
    background: var(--main-color);
}

@media (max-width: 768px) {
    header {
        display: flex;
        justify-content: space-between;
    }.slide{
        visibility: hidden;
    }.home{
    background-size: cover; 
    background-position: center; 
    }
    .logo {
        font-size: 25px;
    }

    .navlist {
        flex-direction: column;
        position: absolute;
        top: 80px;
        right: -100%;
        background: var(--bg-color);
        width: 100%;
        height: 100vh;
        display: none;
        justify-content: center;
        align-items: center;
        transition: right 0.3s ease;
    }

    .navlist.open {
        right: 0;
    }

    .navlist a {
        font-size: 20px;
        margin: 20px 0;
    }

    .home-text h1 {
        font-size: 3rem;
    }

    .home-text h3 {
        font-size: 1.5rem;
    }

    .home-text p, .home-text .slide span {
        font-size: 1rem;
    }
    .about {
        display: flex;
        flex-direction: column; 
        padding: 20px;
        height: auto; 
    }

    .about-img {
        display: flex;
        justify-content: center; 
    }

    .about-img img {
        max-width: 100%; 
        height: auto;
        border-radius: 5px;
    }

    .about-text h2 {
        font-size: 28px;
        text-align: center;
    }

    .about-text h4 {
        font-size: 20px; 
        text-align: center;
    }

    .about-text p {
        text-align: justify;
        font-size: 16px;
        line-height: 1.6; 
    }

    .btn {
        display: inline-block;
        text-align: center;
        margin-top: 20px;
    }
    .skills-container {
        max-width: 90%; 
    }

    .skill-bar {
        height: 20px; 
    }

    .skills-head {
        font-size: var(--h3-font);
    } .portfolio-content {
        gap: 1rem;
        flex-direction: column;           
    }
    
    .row h5 {
        font-size: 1.2rem;   
    }
    
    .row p {
        font-size: 0.9rem;    
    }

    .row img {
        width: 100%; 
        border-radius: 8px;
    }

    .project-info h5 {
        font-size: 1.2rem; 
        margin-left: 0; 
        max-width: 100%; 
    }

    .project-info p {
        font-size: 1rem; 
        line-height: 1.5;
        margin: 10px auto; 
        width: 100%; 
    }

    .latest-text {
        font-size: 1.5rem; 
        text-align: center;
    }
    
    .row {
        display: flex;
        flex-direction: column;
        align-items: center;
        margin-bottom: 20px;
    }

    .project-info {
        text-align: center;
        margin-top: 10px;
    }
}
@media (max-width: 1024px) {
    .home {
        padding-left: 20px;
    }

    .home-text h1 {
        font-size: 4rem;
    }

    .home-text h3 {
        font-size: 2rem;
    }

    .home-text p, .home-text .slide span {
        font-size: 1.3rem;
    }

    .portfolio-content {
        grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    }

    .skills-container {
        max-width: 500px;
    }
}


.navlist {
    display: flex;
}

#menu-icon {
    display: none; 
}



@media (max-width: 768px) {
    .navlist {
        flex-direction: column;
        position: absolute;
        top: 60px; 
        right: -100%; 
        background: var(--bg-color);
        width: 40%;
        height: calc(100vh - 60px); 
        display: flex;
        justify-content: center;
        align-items: center;
        transition: right 0.3s ease;
        z-index: 999; 
    }

    .navlist.open {
        right: 0;
    }

    #menu-icon {
        display: block; 
        cursor: pointer;
    }

    .navlist a {
        font-size: 20px;
        margin: 20px 0;
        color: var(--secont-color);
    }
}


